using Cirno.Scripts.Enums;
using Godot;

namespace Cirno.Scripts.Components.FSM;

public abstract partial class EnemyFSMState : State
{
    [Export]
    public EnemyState State { get; private set; } 
    public override int StateId => (int)State;
    
    protected void ChangeState(EnemyState newState)
    {
        _stateMachine.SetState((int)newState);
    }
}